## erlang-proper 1.0+20120524+dfsg

=== Makefile ===
# Copyright 2010-2012 Manolis Papadakis <manopapad@gmail.com>,
#                     Eirini Arvaniti <eirinibob@gmail.com>
#                 and Kostis Sagonas <kostis@cs.ntua.gr>
#
# This file is part of PropEr.
#
# PropEr is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# PropEr is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with PropEr.  If not, see <http://www.gnu.org/licenses/>.

# Author:      Manolis Papadakis
# Description: Instructions for make

.PHONY: default all compile dialyzer check_escripts tests doc clean distclean rebuild retest

default: get-deps compile

all: compile doc

include/compile_flags.hrl:
	./write_compile_flags $@

get-deps:
	./rebar get-deps

compile:
	./rebar compile

dialyzer: compile
	dialyzer -Wunmatched_returns ebin

check_escripts:
	./check_escripts.sh make_doc write_compile_flags

tests: compile
	./rebar eunit

doc:
	./make_doc

clean:
	./clean_temp.sh

distclean: clean
	rm -f include/compile_flags.hrl
	./rebar clean

rebuild: distclean include/compile_flags.hrl
	./rebar compile

retest: compile
	rm -rf .eunit
	./rebar eunit

=== debian/changelog ===
erlang-proper (1.0+20120524+dfsg-3) unstable; urgency=low

  * Fix FTBFS when not builing -doc package. (Closes: #716980)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 16 Jul 2013 04:42:30 +0900

erlang-proper (1.0+20120524+dfsg-2) unstable; urgency=low

  * Update debian/control.
    - Add Vcs-Git field and Vcs-Browser field.
    - Add erlang-edoc to Build-Depends.
    - Add erlang-proper-doc package.
  * Add edoc to erlang-proper-dev. (Closes: #701813)
  * Update debian/rules.
    - Build edoc.
    - Change call "rebar clean" instead of make clean.
    - Remove verbose option from from erlang-depends.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 04 Jul 2013 12:53:36 +0900

erlang-proper (1.0+20120524+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #689388)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 02 Aug 2012 12:38:43 +0900

=== debian/control ===
Source: erlang-proper
Maintainer: LeoFS maintainers team <pkg-leofs-devel@lists.alioth.debian.org>
Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.9.4
Homepage: https://github.com/manopapad/proper
Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-proper.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-proper.git;a=summary
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:13.b.4),
	erlang-eunit, erlang-edoc, rebar

Package: erlang-proper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
	erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends}
Description: QuickCheck-inspired property-based testing tool for Erlang
 PropEr (PROPerty-based testing tool for ERlang) is a QuickCheck-inspired
 open-source property-based testing tool for Erlang.

Package: erlang-proper-dev
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, erlang-proper (>= ${source:Version})
Description: QuickCheck-inspired property-based testing tool for Erlang - development files
 PropEr (PROPerty-based testing tool for ERlang) is a QuickCheck-inspired
 open-source property-based testing tool for Erlang.
 .
 This package includes erlang-proper headers which are necessary to build Erlang
 applications which use erlang-proper.

Package: erlang-proper-doc
Architecture: all
Section: doc
Suggests: erlang-proper-dev
Depends: ${misc:Depends}
Description: QuickCheck-inspired property-based testing tool for Erlang - document files
 PropEr (PROPerty-based testing tool for ERlang) is a QuickCheck-inspired
 open-source property-based testing tool for Erlang.
 .
 This package includes erlang-proper documents.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

PACKAGE=proper
VERSION = $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg)?.*$$/\1/p')

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_build:
	rebar compile -vv
	./make_doc

override_dh_auto_clean:
	rm -f include/compile_flags.hrl
	rebar clean

override_dh_auto_install:
	dh_auto_install

	install -d \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/ebin
	install -m 644 ebin/* \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/ebin/
	install -d \
		$(CURDIR)/debian/erlang-$(PACKAGE)-dev/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/include
	install -m 644 include/* \
		$(CURDIR)/debian/erlang-$(PACKAGE)-dev/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/include/

override_dh_gencontrol-arch:
	erlang-depends -a -perlang-proper
	erlang-depends -a -perlang-proper-dev
	dh_gencontrol -a -perlang-proper
	dh_gencontrol -a -perlang-proper-dev

override_dh_compress:
	dh_compress -X.erl -X.beam

override_dh_installdocs-indep:
	dh_installdocs

	mv $(CURDIR)/debian/erlang-$(PACKAGE)-doc/usr/share/doc/erlang-$(PACKAGE)-doc/doc \
		$(CURDIR)/debian/erlang-$(PACKAGE)-doc/usr/share/doc/erlang-$(PACKAGE)-doc/edoc
	rm -rf $(CURDIR)/debian/erlang-$(PACKAGE)-doc/usr/share/doc/erlang-$(PACKAGE)-doc/edoc/overview.edoc

## erlang-proper 1.1%2Bgitfa58f82bdc%2Bdfsg

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright 2010-2012 Manolis Papadakis <manopapad@gmail.com>,
+# Copyright 2010-2013 Manolis Papadakis <manopapad@gmail.com>,
 #                     Eirini Arvaniti <eirinibob@gmail.com>
 #                 and Kostis Sagonas <kostis@cs.ntua.gr>
 #
@@ -17,32 +17,42 @@
 # You should have received a copy of the GNU General Public License
 # along with PropEr.  If not, see <http://www.gnu.org/licenses/>.
 
-# Author:      Manolis Papadakis
+# Author(s):   Manolis Papadakis, Kostis Sagonas
 # Description: Instructions for make
 
-.PHONY: default all compile dialyzer check_escripts tests doc clean distclean rebuild retest
+.PHONY: default fast all get-deps compile dialyzer check_escripts tests doc clean distclean rebuild retest
 
-default: get-deps compile
+ifneq (,$(findstring Windows,$(OS)))
+    SEP := $(strip \)
+else
+    SEP := $(strip /)
+endif
 
-all: compile doc
+REBAR := .$(SEP)rebar
 
-include/compile_flags.hrl:
+default: fast
+
+fast: get-deps compile
+
+all: fast dialyzer doc tests
+
+include/compile_flags.hrl: write_compile_flags
 	./write_compile_flags $@
 
 get-deps:
-	./rebar get-deps
+	$(REBAR) get-deps
 
 compile:
-	./rebar compile
+	$(REBAR) compile
 
 dialyzer: compile
-	dialyzer -Wunmatched_returns ebin
+	dialyzer -n -nn -Wunmatched_returns ebin $(find .  -path 'deps/*/ebin/*.beam')
 
 check_escripts:
 	./check_escripts.sh make_doc write_compile_flags
 
 tests: compile
-	./rebar eunit
+	$(REBAR) eunit
 
 doc:
 	./make_doc
@@ -52,11 +62,11 @@
 
 distclean: clean
 	rm -f include/compile_flags.hrl
-	./rebar clean
+	$(REBAR) clean
 
 rebuild: distclean include/compile_flags.hrl
-	./rebar compile
+	$(REBAR) compile
 
 retest: compile
 	rm -rf .eunit
-	./rebar eunit
+	$(REBAR) eunit

## erlang-proper 1.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -22,28 +22,20 @@
 
 .PHONY: default fast all get-deps compile dialyzer check_escripts tests doc clean distclean rebuild retest
 
-ifneq (,$(findstring Windows,$(OS)))
-    SEP := $(strip \)
-else
-    SEP := $(strip /)
-endif
-
-REBAR := .$(SEP)rebar
-
-default: fast
+default: fast dialyzer
 
 fast: get-deps compile
 
-all: fast dialyzer doc tests
+all: default doc tests
 
-include/compile_flags.hrl: write_compile_flags
+include/compile_flags.hrl:
 	./write_compile_flags $@
 
 get-deps:
-	$(REBAR) get-deps
+	./rebar get-deps
 
 compile:
-	$(REBAR) compile
+	./rebar compile
 
 dialyzer: compile
 	dialyzer -n -nn -Wunmatched_returns ebin $(find .  -path 'deps/*/ebin/*.beam')
@@ -52,7 +44,7 @@
 	./check_escripts.sh make_doc write_compile_flags
 
 tests: compile
-	$(REBAR) eunit
+	./rebar eunit
 
 doc:
 	./make_doc
@@ -62,11 +54,11 @@
 
 distclean: clean
 	rm -f include/compile_flags.hrl
-	$(REBAR) clean
+	./rebar clean
 
 rebuild: distclean include/compile_flags.hrl
-	$(REBAR) compile
+	./rebar compile
 
 retest: compile
 	rm -rf .eunit
-	$(REBAR) eunit
+	./rebar eunit

=== debian/changelog ===
erlang-proper (1.1+dfsg-1) unstable; urgency=low

  * Update to 1.1.
  * Remove patches/0001-Update-Makefile.-Change-to-use-rebar-of-system.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 11 Oct 2013 08:42:44 +0900

erlang-proper (1.0+20120524+dfsg-5) unstable; urgency=low

  * Update debian/control.
    - Add dh-rebar to Build-Depends.
  * Update debian/rules.
    - Changed to use dh-rebar.
  * Add debian/watch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 19 Aug 2013 21:22:40 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-proper.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-proper.git;a=summary
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:13.b.4),
-	erlang-eunit, erlang-edoc, rebar
+	erlang-eunit, erlang-edoc, dh-rebar
 
 Package: erlang-proper
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=rebar --with rebar

override_dh_auto_build:
	dh_auto_build
	./make_doc

override_dh_auto_clean:
	dh_auto_clean
	rm -f include/compile_flags.hrl

override_dh_installdocs-indep:
	dh_installdocs

	mv $(CURDIR)/debian/erlang-proper-doc/usr/share/doc/erlang-proper-doc/doc \
		$(CURDIR)/debian/erlang-proper-doc/usr/share/doc/erlang-proper-doc/edoc
	rm -rf $(CURDIR)/debian/erlang-proper-doc/usr/share/doc/erlang-proper-doc/edoc/overview.edoc

## erlang-proper 1.1+gitfa58f82bdc+dfsg

=== debian/changelog ===
erlang-proper (1.1+gitfa58f82bdc+dfsg-1) unstable; urgency=medium

  * Snapshot, taken from the master (20150725). (Closes #790444)
  * Update debian/control.
    Update Standards-Version to 3.9.6.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 25 Jul 2015 01:25:52 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: https://github.com/manopapad/proper
 Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-proper.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-proper.git;a=summary

## erlang-proper 1.2%2Bgit988ea0ed9f%2Bdfsg

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright 2010-2013 Manolis Papadakis <manopapad@gmail.com>,
+# Copyright 2010-2016 Manolis Papadakis <manopapad@gmail.com>,
 #                     Eirini Arvaniti <eirinibob@gmail.com>
 #                 and Kostis Sagonas <kostis@cs.ntua.gr>
 #
@@ -22,29 +22,40 @@
 
 .PHONY: default fast all get-deps compile dialyzer check_escripts tests doc clean distclean rebuild retest
 
-default: fast dialyzer
+ifneq (,$(findstring Windows,$(OS)))
+    SEP := $(strip \)
+else
+    SEP := $(strip /)
+endif
+
+REBAR := .$(SEP)rebar
+
+default: fast
 
 fast: get-deps compile
 
-all: default doc tests
+all: fast dialyzer doc tests
 
-include/compile_flags.hrl:
+include/compile_flags.hrl: write_compile_flags
 	./write_compile_flags $@
 
 get-deps:
-	./rebar get-deps
+	$(REBAR) get-deps
 
 compile:
-	./rebar compile
+	$(REBAR) compile
 
-dialyzer: compile
-	dialyzer -n -nn -Wunmatched_returns ebin $(find .  -path 'deps/*/ebin/*.beam')
+dialyzer: .plt/proper_plt compile
+	dialyzer -n -nn --plt $< -Wunmatched_returns ebin $(find .  -path 'deps/*/ebin/*.beam')
+
+.plt/proper_plt: .plt
+	dialyzer --build_plt --output_plt $@ --apps erts kernel stdlib compiler crypto syntax_tools
 
 check_escripts:
 	./check_escripts.sh make_doc write_compile_flags
 
 tests: compile
-	./rebar eunit
+	$(REBAR) eunit
 
 doc:
 	./make_doc
@@ -53,12 +64,12 @@
 	./clean_temp.sh
 
 distclean: clean
-	rm -f include/compile_flags.hrl
-	./rebar clean
+	rm -f include/compile_flags.hrl .plt/proper_plt
+	$(REBAR) clean
 
 rebuild: distclean include/compile_flags.hrl
-	./rebar compile
+	$(REBAR) compile
 
 retest: compile
 	rm -rf .eunit
-	./rebar eunit
+	$(REBAR) eunit

## erlang-proper 1.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
 	dialyzer -n -nn --plt $< -Wunmatched_returns ebin $(find .  -path 'deps/*/ebin/*.beam')
 
 .plt/proper_plt: .plt
-	dialyzer --build_plt --output_plt $@ --apps erts kernel stdlib compiler crypto syntax_tools
+	dialyzer --build_plt --output_plt $@ --apps erts kernel stdlib compiler crypto
 
 check_escripts:
 	./check_escripts.sh make_doc write_compile_flags

=== debian/changelog ===
erlang-proper (1.2+dfsg-1) unstable; urgency=medium

  * Update to 1.2.
  * Add debian/gbp.conf.
  * Update debian/control.
    Update Standards-Version to 3.9.8.
  * Fix build on kFreeBSD. (Closes: #815403)
    Add patches/fix_build_on_kfreebsd.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 07 Sep 2016 01:30:38 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/manopapad/proper
 Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-proper.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-proper.git;a=summary

## erlang-proper 1.2+git988ea0ed9f+dfsg

=== debian/changelog ===
erlang-proper (1.2+git988ea0ed9f+dfsg-2) unstable; urgency=medium

  * Change maintainer address to Debian Erlang Packagers
    <pkg-erlang-devel@lists.alioth.debian.org>. (Closes: #899823)
  * Bump Standards-Version to 4.1.4.
  * Change Vcs-Browser and Vcs-Git to salsa.
  * Update debhelper to 11.
  * Update debian/copyright.
    - Add Upstream-Name and Upstream-Contact.
    - Update Format field in copyright.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 01 Jun 2018 07:43:12 +0900

erlang-proper (1.2+git988ea0ed9f+dfsg-1) unstable; urgency=medium

  * Snapshot, taken from the master (20170823). (Closes: #868659)
  * Update debian/patches/fix_build_on_kfreebsd.patch.
  * Update Standards-Version to 4.1.0.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 23 Aug 2017 12:18:11 +0900

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: erlang-proper
-Maintainer: LeoFS maintainers team <pkg-leofs-devel@lists.alioth.debian.org>
+Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
 Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: https://github.com/manopapad/proper
-Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-proper.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-proper.git;a=summary
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:13.b.4),
+Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-proper
+Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-proper.git
+Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:13.b.4),
 	erlang-eunit, erlang-edoc, dh-rebar
 
 Package: erlang-proper

## erlang-proper 1.4

=== Makefile ===
# Copyright 2010-2021 Manolis Papadakis <manopapad@gmail.com>,
#                     Eirini Arvaniti <eirinibob@gmail.com>,
#                 and Kostis Sagonas <kostis@cs.ntua.gr>
#
# This file is part of PropEr.
#
# PropEr is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# PropEr is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with PropEr.  If not, see <http://www.gnu.org/licenses/>.

# Author(s):   Manolis Papadakis and Kostis Sagonas
# Description: Instructions for make

.PHONY: default all compile dialyzer check_escripts test test-examples test-parallel doc clean distclean rebuild retest

ifneq (,$(findstring Windows,$(OS)))
    SEP := $(strip \)
else
    SEP := $(strip /)
endif

REBAR3_URL := https://s3.amazonaws.com/rebar3/rebar3
REBAR3 ?= $(shell which rebar3 || which .$(SEP)rebar3 || \
            (wget --no-check-certificate $(REBAR3_URL) && \
	      chmod +x rebar3 && echo .$(SEP)rebar3))
COVER ?= false

default: compile

all: compile dialyzer doc test #test-examples -- this is another GitHub action

compile:
	$(RM) ebin
	$(REBAR3) compile
	ln -s _build/default/lib/proper/ebin .

dialyzer: .plt/proper_plt compile
	dialyzer -nn --plt $< -Wunmatched_returns ebin

.plt/proper_plt: .plt
	dialyzer --build_plt --output_plt $@ --apps erts kernel stdlib compiler crypto syntax_tools eunit mnesia tools runtime_tools

check_escripts:
	./scripts/check_escripts.sh make_doc

test: compile
ifeq ($(COVER), true)
	$(REBAR3) do eunit -c, cover, covertool generate
else
	$(REBAR3) eunit
endif

test-examples:
	$(REBAR3) eunit --dir=examples --verbose

test-parallel:
	NUMWORKERS=2 $(REBAR3) eunit --dir=examples --verbose

doc: compile
	./scripts/make_doc

clean:
	./scripts/clean_temp.sh

distclean: clean
	$(REBAR3) clean
	$(RM) .plt/proper_plt
	$(RM) -r _build ebin rebar3 rebar.lock

rebuild: distclean compile

retest:
	$(RM) -r _build/test/lib/proper/test
	$(REBAR3) eunit

=== debian/changelog ===
erlang-proper (1.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (closes: #1098722).
  * Drop build date from the erlang-proper documentation
    (closes: #1037298).
  * Bump Debhelper compatibility level to 13.
  * Bump Standards-Version to 4.7.2.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 09 Mar 2025 12:27:39 +0300

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/proper-$1.tar.gz/,dversionmangle=s/\+dfsg// \
  https://github.com/manopapad/proper/tags .*/v?(\d\S*)\.tar\.gz

## erlang-proper 1.5.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright 2010-2021 Manolis Papadakis <manopapad@gmail.com>,
+# Copyright 2010-2023 Manolis Papadakis <manopapad@gmail.com>,
 #                     Eirini Arvaniti <eirinibob@gmail.com>,
 #                 and Kostis Sagonas <kostis@cs.ntua.gr>
 #
@@ -28,7 +28,9 @@
     SEP := $(strip /)
 endif
 
-REBAR3_URL := https://s3.amazonaws.com/rebar3/rebar3
+# A safe version of rebar3 that still supports Erlang/OTP 20.x and 21.x
+# Upgrade to a newer version when support for these versions is dropped.
+REBAR3_URL := https://github.com/erlang/rebar3/releases/download/3.15.2/rebar3
 REBAR3 ?= $(shell which rebar3 || which .$(SEP)rebar3 || \
             (wget --no-check-certificate $(REBAR3_URL) && \
 	      chmod +x rebar3 && echo .$(SEP)rebar3))
@@ -44,10 +46,10 @@
 	ln -s _build/default/lib/proper/ebin .
 
 dialyzer: .plt/proper_plt compile
-	dialyzer -nn --plt $< -Wunmatched_returns ebin
+	dialyzer --plt $< -Wunmatched_returns ebin
 
 .plt/proper_plt: .plt
-	dialyzer --build_plt --output_plt $@ --apps erts kernel stdlib compiler crypto syntax_tools eunit mnesia tools runtime_tools
+	dialyzer --build_plt --output_plt $@ --apps erts kernel stdlib compiler crypto syntax_tools mnesia tools parsetools runtime_tools
 
 check_escripts:
 	./scripts/check_escripts.sh make_doc
@@ -70,11 +72,13 @@
 
 clean:
 	./scripts/clean_temp.sh
+	./scripts/clean_doc.sh
+	$(REBAR3) clean
 
 distclean: clean
-	$(REBAR3) clean
-	$(RM) .plt/proper_plt
-	$(RM) -r _build ebin rebar3 rebar.lock
+	$(RM) ebin .plt/proper_plt
+	$(RM) rebar3 rebar.lock
+	$(RM) -r _build
 
 rebuild: distclean compile

=== debian/changelog ===
erlang-proper (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 31 Mar 2025 11:55:34 +0300

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.1.4
+Standards-Version: 4.7.2
 Homepage: https://github.com/manopapad/proper
 Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-proper
 Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-proper.git
-Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:13.b.4),
+Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:27),
 	erlang-eunit, erlang-edoc, dh-rebar
 
 Package: erlang-proper
@@ -33,6 +33,7 @@
 Section: doc
 Suggests: erlang-proper-dev
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: QuickCheck-inspired property-based testing tool for Erlang - document files
  PropEr (PROPerty-based testing tool for ERlang) is a QuickCheck-inspired
  open-source property-based testing tool for Erlang.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=rebar --with rebar

override_dh_auto_build:
	dh_auto_build
	./scripts/make_doc

override_dh_auto_clean:
	dh_auto_clean
	rm -f include/compile_flags.hrl

override_dh_installdocs-indep:
	dh_installdocs

	mv $(CURDIR)/debian/erlang-proper-doc/usr/share/doc/erlang-proper/doc \
		$(CURDIR)/debian/erlang-proper-doc/usr/share/doc/erlang-proper-doc/edoc
	rm -rf $(CURDIR)/debian/erlang-proper-doc/usr/share/doc/erlang-proper-doc/edoc/overview.edoc
	# Remove embedded build date for reproducible builds
	sed -i -e 's,<p><b>Version:</b>.*</p>,,g' debian/erlang-proper-doc/usr/share/doc/erlang-proper-doc/edoc/*.html
